Subject: bug#9839: closed (Re: bug#9839: compile with gdb running)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 29 Oct 2011 00:16:02 +0000

Your bug report

#9839: compile with gdb running

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9839: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9839
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9839: compile with gdb running
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Fri, 28 Oct 2011 20:13:48 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.0.91

The 2009-08-30 change to process.c has been reverted, so this should be
fixed now in the Emacs trunk, and in the coming 24.0.91 pretest.

Subject: compile with gdb running
From: [email-masked]
To: [email-masked], [email-masked]
Date: Sat, 22 Oct 2011 14:25:19 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I am using emacs pretest on GNU/Linux. I stumbled upon an interesting behaviour today. How to reproduce:

emacs -q
M-x gdb RET ls RET
r
# at this point gdb is starting ls
M-x compile RET

The compile buffer pops up, but there is not the 

"make: *** No targets specified and no makefile found.  Stop.
Compilation exited abnormally ..."-

output.

Is this a bug? If so, how can I work around it?